import request from '@/config/axios'

export interface AppGroupVO {
  id: number
  node: string
  name: string
  icon: string
  sort: number
  remark: string
  createTime: Date
}

// 查询分页列表
export const getAppGroupPage = (params: PageParam) => {
  return request.get({ url: '/system/app-group/page', params })
}

// 查询列表
export const getAppGroupList = () => {
  return request.get({ url: '/system/app-group/getAppGroupList' })
}

// 获得
export const getAppGroup = (id: number) => {
  return request.get({ url: '/system/app-group/get?id=' + id })
}

// 新增
export const createAppGroup = (data: AppGroupVO) => {
  return request.post({ url: '/system/app-group/create', data })
}

// 修改
export const updateAppGroup = (data: AppGroupVO) => {
  return request.put({ url: '/system/app-group/update', data })
}

// 删除
export const deleteAppGroup = (id: number) => {
  return request.delete({ url: '/system/app-group/delete?id=' + id })
}
